Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-restsh
%global pypi_name restsh

Name:           python-module-restsh
Version:        0.1
Release:        alt1_3
Summary:        A client for test and access to REST services

License:        BSD
URL:            https://github.com/jespino/restsh
Source0:        http://pypi.python.org/packages/source/r/restsh/restsh-0.1.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-versiontools
Source44: import.info


%description
RestSH is a shell for easy test and use REST services.

%prep
%setup -q -n %{pypi_name}-%{version}
# remove the bundled egg info
rm -rf %{pypi_name}.egg-info


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
# this file shouldn't be executable => strip shebang
sed -i '1d' %{buildroot}%{python_sitelibdir_noarch}/%{pypi_name}lib/restshlib.py
 
%files
%{_bindir}/restsh
%{python_sitelibdir_noarch}/%{pypi_name}lib
%{python_sitelibdir_noarch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_3
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_2
- initial fc import

